<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/grey_background"
    android:orientation="vertical"
    android:weightSum="10"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context=".competitionoffer.CompetitionOfferActivity"
    tools:showIn="@layout/activity_competition_offer">

    <androidx.core.widget.NestedScrollView
        android:id="@+id/scroll_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:cardBackgroundColor="@color/white"
                app:cardCornerRadius="@dimen/padding_10dp"
                app:cardElevation="@dimen/custom_margin3dp"
                android:layout_margin="@dimen/custom_margin3dp">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:weightSum="1"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:layout_weight=".6"
                            android:text="@string/competition_intelligence"
                            android:textStyle="bold"
                            android:textColor="@color/black"
                            android:textSize="@dimen/textsize15sp"
                            android:layout_gravity="center_vertical"
                            android:padding="@dimen/appbar_padding_top"/>

                        <ImageView
                            android:id="@+id/img_button_yes"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight=".2"
                            android:layout_gravity="left|center"
                            android:src="@mipmap/available_grey_"
                            android:layout_margin="@dimen/custom_margin2dp"/>

                        <ImageView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight=".2"
                            android:id="@+id/img_button_no"
                            android:layout_gravity="right|center"
                            android:src="@mipmap/not_available_grey_"
                            android:layout_margin="@dimen/custom_margin2dp"/>
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/ll_hide"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:visibility="gone"
                        android:orientation="vertical"
                        android:layout_margin="@dimen/custom_margin2dp">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:weightSum="2"
                            android:orientation="horizontal">
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:layout_marginRight="@dimen/custom_margin2dp"
                                android:orientation="vertical">

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:layout_gravity="center_vertical"
                                    android:textColor="@android:color/black"
                                    android:textSize="@dimen/text_14sp"
                                    android:padding="@dimen/custom_margin"
                                    android:textStyle="normal"
                                    android:text="Data For Month"/>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:padding="@dimen/custom_margin"
                                    android:background="@drawable/rouded_corner_edittaxt">
                                    <Spinner
                                        android:layout_width="match_parent"
                                        android:id="@+id/spinDataforMonth"
                                        android:layout_height="wrap_content"
                                        android:layout_gravity="center"
                                        android:gravity="center"/>
                                </LinearLayout>


                            </LinearLayout>
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:orientation="vertical"
                                android:layout_marginLeft="@dimen/custom_margin2dp">
                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:layout_gravity="center_vertical"
                                    android:textColor="@android:color/black"
                                    android:textSize="@dimen/text_14sp"
                                    android:padding="@dimen/custom_margin"
                                    android:textStyle="normal"
                                    android:text="Company"/>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:padding="@dimen/custom_margin"
                                    android:background="@drawable/rouded_corner_edittaxt">
                                    <Spinner
                                        android:layout_width="match_parent"
                                        android:id="@+id/spinCompany"
                                        android:layout_height="wrap_content"
                                        android:layout_gravity="center"
                                        android:gravity="center"/>
                                </LinearLayout>
                            </LinearLayout>
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:weightSum="2"
                            android:orientation="horizontal">
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:layout_marginRight="@dimen/custom_margin2dp"
                                android:orientation="vertical">

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:layout_gravity="center_vertical"
                                    android:textColor="@android:color/black"
                                    android:textSize="@dimen/text_14sp"
                                    android:padding="@dimen/custom_margin"
                                    android:textStyle="normal"
                                    android:text="No. Of Counters"/>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:padding="@dimen/custom_margin"
                                    android:background="@drawable/rouded_corner_edittaxt">
                                    <Spinner
                                        android:layout_width="match_parent"
                                        android:id="@+id/spincounter"
                                        android:layout_height="wrap_content"
                                        android:layout_gravity="center"
                                        android:gravity="center"/>
                                </LinearLayout>


                            </LinearLayout>
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:orientation="vertical"
                                android:layout_marginLeft="@dimen/custom_margin2dp">
                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:layout_gravity="center_vertical"
                                    android:textColor="@android:color/black"
                                    android:textSize="@dimen/text_14sp"
                                    android:padding="@dimen/custom_margin"
                                    android:textStyle="normal"
                                    android:text="No. Of BA's"/>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:padding="@dimen/custom_margin"
                                    android:background="@drawable/rouded_corner_edittaxt">
                                    <Spinner
                                        android:layout_width="match_parent"
                                        android:id="@+id/spinba"
                                        android:layout_height="wrap_content"
                                        android:layout_gravity="center"
                                        android:gravity="center"/>
                                </LinearLayout>
                            </LinearLayout>
                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/containerBAViews"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"/>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:weightSum="2"
                            android:layout_marginTop="@dimen/custom_margin2dp"
                            android:orientation="horizontal">
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_weight="1"
                                android:orientation="vertical"
                                android:layout_marginRight="@dimen/custom_margin2dp">

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:layout_gravity="center_vertical"
                                    android:textColor="@android:color/black"
                                    android:textSize="@dimen/text_14sp"
                                    android:padding="@dimen/appbar_padding_top"
                                    android:textStyle="normal"
                                    android:text="Nuance/Sub-Category"/>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:padding="@dimen/custom_margin"
                                    android:background="@drawable/rouded_corner_edittaxt">
                                    <Spinner
                                        android:layout_width="match_parent"
                                        android:id="@+id/spinNuance"
                                        android:layout_height="wrap_content"
                                        android:layout_gravity="center"
                                        android:gravity="center" />
                                </LinearLayout>


                            </LinearLayout>
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:orientation="vertical"
                                android:layout_marginLeft="@dimen/custom_margin2dp">
                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="@dimen/custom_margin"
                                    android:gravity="center_vertical"
                                    android:layout_gravity="center_vertical"
                                    android:textColor="@android:color/black"
                                    android:textSize="@dimen/text_14sp"
                                    android:padding="@dimen/appbar_padding_top"
                                    android:textStyle="normal"
                                    android:text="Monthly Sale"/>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:padding="@dimen/custom_margin"
                                    android:background="@drawable/rouded_corner_edittaxt">
                                    <Spinner
                                        android:layout_width="match_parent"
                                        android:id="@+id/spinmonthlysale"
                                        android:layout_height="wrap_content"
                                        android:layout_gravity="center"
                                        android:gravity="center" />
                                </LinearLayout>
                            </LinearLayout>
                        </LinearLayout>


                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:weightSum="2"
                            android:layout_marginTop="@dimen/custom_margin2dp"
                            android:orientation="horizontal">
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_weight="1"
                                android:orientation="vertical"
                                android:layout_marginRight="@dimen/custom_margin2dp">

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:layout_gravity="center_vertical"
                                    android:textColor="@android:color/black"
                                    android:textSize="@dimen/text_14sp"
                                    android:padding="@dimen/appbar_padding_top"
                                    android:textStyle="normal"
                                    android:text="@string/competition_intelligence"/>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:padding="@dimen/custom_margin"
                                    android:background="@drawable/rouded_corner_edittaxt">
                                    <Spinner
                                        android:layout_width="match_parent"
                                        android:id="@+id/spinPromoType"
                                        android:layout_height="wrap_content"
                                        android:layout_gravity="center"
                                        android:gravity="center" />
                                </LinearLayout>


                            </LinearLayout>
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:orientation="vertical"
                                android:layout_marginLeft="@dimen/custom_margin2dp">
                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="@dimen/custom_margin"
                                    android:gravity="center_vertical"
                                    android:layout_gravity="center_vertical"
                                    android:textColor="@android:color/black"
                                    android:textSize="@dimen/text_14sp"
                                    android:padding="@dimen/appbar_padding_top"
                                    android:textStyle="normal"
                                    android:text="Competition Buy Type"/>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:padding="@dimen/custom_margin"
                                    android:background="@drawable/rouded_corner_edittaxt">
                                    <Spinner
                                        android:layout_width="match_parent"
                                        android:id="@+id/spinbuyType"
                                        android:layout_height="wrap_content"
                                        android:layout_gravity="center"
                                        android:gravity="center" />
                                </LinearLayout>
                            </LinearLayout>
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:weightSum="2"
                            android:layout_marginTop="@dimen/custom_margin2dp"
                            android:orientation="horizontal">
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_weight="1"
                                android:orientation="vertical"
                                android:layout_marginRight="@dimen/custom_margin2dp">

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:layout_gravity="center_vertical"
                                    android:textColor="@android:color/black"
                                    android:textSize="@dimen/text_14sp"
                                    android:padding="@dimen/appbar_padding_top"
                                    android:textStyle="normal"
                                    android:text="Competition Buy Type Input"/>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:padding="@dimen/custom_margin"
                                    android:background="@drawable/rouded_corner_edittaxt">
                                    <Spinner
                                        android:layout_width="100dp"
                                        android:id="@+id/spinbuytypeinput"
                                        android:layout_height="wrap_content"
                                        android:layout_gravity="center"
                                        android:gravity="center" />
                                </LinearLayout>
                            </LinearLayout>
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:orientation="vertical"
                                android:layout_marginLeft="@dimen/custom_margin2dp">
                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="@dimen/custom_margin"
                                    android:gravity="center_vertical"
                                    android:layout_gravity="center_vertical"
                                    android:textColor="@android:color/black"
                                    android:textSize="@dimen/text_14sp"
                                    android:padding="@dimen/appbar_padding_top"
                                    android:textStyle="normal"
                                    android:text="Competition Get Type Input"/>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:padding="@dimen/custom_margin"
                                    android:background="@drawable/rouded_corner_edittaxt">
                                    <Spinner
                                        android:layout_width="match_parent"
                                        android:id="@+id/spinGetTypeInput"
                                        android:layout_height="wrap_content"
                                        android:layout_gravity="center"
                                        android:gravity="center" />
                                </LinearLayout>
                            </LinearLayout>
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:weightSum="3"
                            android:layout_marginTop="@dimen/custom_margin2dp"
                            android:orientation="horizontal">
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_weight="1"
                                android:orientation="vertical"
                                android:layout_marginRight="@dimen/custom_margin2dp">

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:layout_gravity="center_vertical"
                                    android:textColor="@android:color/black"
                                    android:textSize="@dimen/text_14sp"
                                    android:padding="@dimen/appbar_padding_top"
                                    android:textStyle="normal"
                                    android:text="Avg Target"/>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:padding="@dimen/custom_margin"
                                    android:background="@drawable/rouded_corner_edittaxt">
                                    <androidx.appcompat.widget.AppCompatEditText
                                        android:id="@+id/avgTargetET"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:layout_gravity="top"
                                        android:gravity="top"
                                        android:inputType="number"
                                        android:background="@null"
                                        android:padding="@dimen/custom_margin3dp"
                                        android:textColor="@color/black"
                                        android:textSize="@dimen/text_14sp"
                                        android:hint="@string/avg_target"/>
                                </LinearLayout>
                            </LinearLayout>
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:orientation="vertical"
                                android:layout_marginStart="@dimen/custom_margin2dp">
                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginStart="@dimen/custom_margin"
                                    android:gravity="center_vertical"
                                    android:layout_gravity="center_vertical"
                                    android:textColor="@android:color/black"
                                    android:textSize="@dimen/text_14sp"
                                    android:padding="@dimen/appbar_padding_top"
                                    android:textStyle="normal"
                                    android:text="@string/avg_offtake"/>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:padding="@dimen/custom_margin"
                                    android:background="@drawable/rouded_corner_edittaxt">
                                    <androidx.appcompat.widget.AppCompatEditText
                                        android:id="@+id/avgOfftakeET"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:layout_gravity="top"
                                        android:gravity="top"
                                        android:background="@null"
                                        android:inputType="number"
                                        android:padding="@dimen/custom_margin3dp"
                                        android:textColor="@color/black"
                                        android:textSize="@dimen/text_14sp"
                                        android:hint="Avg Offtake"/>
                                </LinearLayout>
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:orientation="vertical"
                                android:layout_marginLeft="@dimen/custom_margin2dp">
                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="@dimen/custom_margin"
                                    android:gravity="center_vertical"
                                    android:layout_gravity="center_vertical"
                                    android:textColor="@android:color/black"
                                    android:textSize="@dimen/text_14sp"
                                    android:padding="@dimen/appbar_padding_top"
                                    android:textStyle="normal"
                                    android:text="TVA %"/>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:padding="@dimen/custom_margin"
                                    android:background="@drawable/rouded_corner_edittaxt">
                                    <androidx.appcompat.widget.AppCompatEditText
                                        android:id="@+id/tvapercentET"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:layout_gravity="top"
                                        android:gravity="top"
                                        android:background="@null"
                                        android:editable="false"
                                        android:padding="@dimen/custom_margin3dp"
                                        android:textColor="@color/black"
                                        android:textSize="@dimen/text_14sp"
                                        android:hint="TVA %"/>
                                </LinearLayout>
                            </LinearLayout>
                        </LinearLayout>


                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:weightSum="2"
                            android:visibility="gone"
                            android:layout_marginTop="@dimen/custom_margin2dp"
                            android:orientation="horizontal">
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_weight="1"
                                android:orientation="vertical"
                                android:layout_marginRight="@dimen/custom_margin2dp">

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:layout_gravity="center_vertical"
                                    android:textColor="@android:color/black"
                                    android:textSize="@dimen/text_14sp"
                                    android:padding="@dimen/appbar_padding_top"
                                    android:textStyle="normal"
                                    android:text="Buy"/>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:weightSum="10"
                                    android:orientation="horizontal">

                                    <LinearLayout
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_weight="2.5"
                                        android:padding="@dimen/custom_margin"
                                        android:layout_marginRight="@dimen/custom_margin2dp"
                                        android:background="@drawable/rouded_corner_edittaxt">
                                        <EditText
                                            android:layout_width="match_parent"
                                            android:id="@+id/edtBuyQTY"
                                            android:layout_height="match_parent"
                                            android:layout_gravity="center"
                                            android:gravity="center"
                                            android:background="@color/gray"
                                            android:inputType="number"
                                            android:padding="@dimen/custom_margin3dp"
                                            android:lines="1"
                                            android:maxLength="5"
                                            android:textStyle="bold"
                                            android:text="0"
                                            android:textColor="@color/black"
                                            android:textSize="@dimen/text_14sp"/>

                                    </LinearLayout>
                                    <LinearLayout
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_weight="7.5"
                                        android:padding="@dimen/custom_margin"
                                        android:layout_marginLeft="@dimen/custom_margin2dp"
                                        android:background="@drawable/rouded_corner_edittaxt">
                                        <Spinner
                                            android:layout_width="match_parent"
                                            android:id="@+id/spinBuy"
                                            android:layout_height="wrap_content"
                                            android:layout_gravity="center"
                                            android:gravity="center" />

                                    </LinearLayout>
                                </LinearLayout>

                            </LinearLayout>


                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:orientation="vertical"
                                android:layout_marginLeft="@dimen/custom_margin2dp">
                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="@dimen/custom_margin"
                                    android:gravity="center_vertical"
                                    android:layout_gravity="center_vertical"
                                    android:textColor="@android:color/black"
                                    android:textSize="@dimen/text_14sp"
                                    android:padding="@dimen/appbar_padding_top"
                                    android:textStyle="normal"
                                    android:text="Get"/>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:weightSum="10"
                                    android:orientation="horizontal">

                                    <LinearLayout
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_weight="2.5"
                                        android:padding="@dimen/custom_margin"
                                        android:layout_marginRight="@dimen/custom_margin2dp"
                                        android:background="@drawable/rouded_corner_edittaxt">
                                        <EditText
                                            android:layout_width="match_parent"
                                            android:id="@+id/edtGetQTY"
                                            android:layout_height="match_parent"
                                            android:layout_gravity="center"
                                            android:gravity="center"
                                            android:background="@color/gray"
                                            android:inputType="number"
                                            android:padding="@dimen/custom_margin3dp"
                                            android:lines="1"
                                            android:maxLength="5"
                                            android:textStyle="bold"
                                            android:text="0"
                                            android:textColor="@color/black"
                                            android:textSize="@dimen/text_14sp"/>

                                    </LinearLayout>
                                    <LinearLayout
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_weight="7.5"
                                        android:padding="@dimen/custom_margin"
                                        android:layout_marginLeft="@dimen/custom_margin2dp"
                                        android:background="@drawable/rouded_corner_edittaxt">
                                        <Spinner
                                            android:layout_width="match_parent"
                                            android:id="@+id/spinPromoGet"
                                            android:layout_height="wrap_content"
                                            android:layout_gravity="center"
                                            android:gravity="center" />

                                    </LinearLayout>
                                </LinearLayout>
                            </LinearLayout>
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:weightSum="2"
                            android:layout_marginTop="@dimen/custom_margin2dp"
                            android:orientation="horizontal">
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:orientation="vertical"
                                android:layout_marginLeft="@dimen/custom_margin2dp">
                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:layout_gravity="center_vertical"
                                    android:textColor="@android:color/black"
                                    android:textSize="@dimen/text_14sp"
                                    android:padding="@dimen/appbar_padding_top"
                                    android:textStyle="normal"
                                    android:text="From Date"/>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content">

                                    <TextView
                                        android:id="@+id/tvFromDate"
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_weight=".7"
                                        android:gravity="center_vertical"
                                        android:textColor="@android:color/black"
                                        android:textSize="@dimen/text_14sp"
                                        android:padding="@dimen/appbar_padding_top"
                                        android:layout_gravity="center_vertical"
                                        android:textStyle="normal" />
                                    <ImageView
                                        android:layout_width="0dp"
                                        android:layout_height="35dp"
                                        android:src="@mipmap/calender"
                                        android:id="@+id/img_FromDate"
                                        android:layout_weight=".3" />
                                </LinearLayout>
                            </LinearLayout>
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:orientation="vertical"
                                android:layout_marginLeft="@dimen/custom_margin2dp">
                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:layout_gravity="center_vertical"
                                    android:textColor="@android:color/black"
                                    android:textSize="@dimen/text_14sp"
                                    android:padding="@dimen/appbar_padding_top"
                                    android:textStyle="normal"
                                    android:text="To Date"/>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content">

                                    <TextView
                                        android:id="@+id/tvToDate"
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_weight=".7"
                                        android:gravity="center_vertical"
                                        android:textColor="@android:color/black"
                                        android:textSize="@dimen/text_14sp"
                                        android:padding="@dimen/appbar_padding_top"
                                        android:layout_gravity="center_vertical"
                                        android:textStyle="normal" />
                                    <ImageView
                                        android:layout_width="0dp"
                                        android:layout_height="35dp"
                                        android:src="@mipmap/calender"
                                        android:id="@+id/img_toDate"
                                        android:layout_weight=".3" />
                                </LinearLayout>
                            </LinearLayout>

                        </LinearLayout>

                        <androidx.cardview.widget.CardView
                            android:id="@+id/card_view"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            app:cardBackgroundColor="@color/white"
                            app:cardCornerRadius="@dimen/custom_margin"
                            android:layout_marginTop="@dimen/custom_margin"
                            android:layout_marginBottom="@dimen/custom_margin3dp"
                            app:cardElevation="@dimen/custom_margin3dp">

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:background="@drawable/rouded_corner_edittaxt"
                                android:orientation="vertical">

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_margin="@dimen/custom_margin"
                                    android:weightSum="2"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_weight="1.6"
                                        android:id="@+id/gwp_questionTV"
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_gravity="center_vertical"
                                        android:gravity="center_vertical"
                                        android:paddingStart="@dimen/custom_margin"
                                        android:paddingTop="@dimen/custom_margin"
                                        android:paddingEnd="20dp"
                                        android:paddingBottom="@dimen/custom_margin"
                                        android:text="@string/is_gwp_available"
                                        android:textColor="@color/black"
                                        android:textSize="@dimen/txt_size_12sp"
                                        android:textStyle="normal" />
                                    <ImageView
                                        android:id="@+id/gwpIV"
                                        android:layout_width="0dp"
                                        android:layout_height="40dp"
                                        android:visibility="gone"
                                        android:src="@mipmap/camera_bs"
                                        android:layout_gravity="center"
                                        android:layout_weight="0.4"
                                       />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:padding="@dimen/custom_margin"
                                    android:layout_margin="@dimen/custom_margin"
                                    android:background="@drawable/rouded_corner_edittaxt">
                                    <Spinner
                                        android:id="@+id/spingwp"
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1"
                                        android:layout_gravity="center"
                                        android:gravity="center" />

                                </LinearLayout>

                            </LinearLayout>
                        </androidx.cardview.widget.CardView>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:weightSum="2"
                            android:layout_marginTop="@dimen/custom_margin2dp"
                            android:orientation="horizontal">
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:orientation="vertical"
                                android:layout_marginRight="@dimen/custom_margin2dp">

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:layout_gravity="center_vertical"
                                    android:textColor="@android:color/black"
                                    android:textSize="@dimen/text_14sp"
                                    android:padding="@dimen/appbar_padding_top"
                                    android:textStyle="normal"
                                    android:text="Competition New Launch"/>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:padding="@dimen/custom_margin"
                                    android:background="@drawable/rouded_corner_edittaxt">
                                    <EditText
                                        android:layout_width="match_parent"
                                        android:id="@+id/edtPromotionDetails"
                                        android:layout_height="match_parent"
                                        android:layout_gravity="top"
                                        android:gravity="top"
                                        android:background="@null"
                                        android:padding="@dimen/custom_margin3dp"
                                        android:lines="3"
                                        android:textColor="@color/black"
                                        android:textSize="@dimen/text_14sp"
                                        android:hint="Competition New Launch"/>
                                   <!-- <Spinner
                                        android:layout_width="match_parent"
                                        android:id="@+id/spinProductType"
                                        android:visibility="gone"
                                        android:layout_height="wrap_content"
                                        android:layout_gravity="center"
                                        android:gravity="center" />-->
                                </LinearLayout>


                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:orientation="vertical"
                                    android:layout_marginTop="@dimen/appbar_padding_top"
                                    android:layout_marginLeft="@dimen/custom_margin2dp">
                                    <TextView
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:gravity="center_vertical"
                                        android:layout_gravity="center_vertical"
                                        android:textColor="@android:color/black"
                                        android:textSize="@dimen/text_14sp"
                                        android:padding="@dimen/appbar_padding_top"
                                        android:textStyle="normal"
                                        android:text="Image"/>

                                    <ImageView
                                        android:layout_width="40dp"
                                        android:layout_height="40dp"
                                        android:src="@mipmap/camera_bs"
                                        android:id="@+id/imgComoOffer"
                                        android:layout_weight="1"
                                        android:layout_gravity="center"/>
                                </LinearLayout>

                            </LinearLayout>
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:orientation="vertical"
                                android:layout_marginLeft="@dimen/custom_margin2dp">
                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:layout_gravity="center_vertical"
                                    android:textColor="@android:color/black"
                                    android:textSize="@dimen/text_14sp"
                                    android:padding="@dimen/appbar_padding_top"
                                    android:textStyle="normal"
                                    android:text="Competition New Launch MRP"/>


                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:padding="@dimen/custom_margin"
                                    android:background="@drawable/rouded_corner_edittaxt">
                                    <EditText
                                        android:layout_width="match_parent"
                                        android:id="@+id/edtNewLaunchMrp"
                                        android:layout_height="match_parent"
                                        android:layout_gravity="top"
                                        android:gravity="top"
                                        android:background="@null"
                                        android:padding="@dimen/custom_margin3dp"
                                        android:inputType="number"
                                        android:maxLength="6"
                                        android:lines="1"
                                        android:textColor="@color/black"
                                        android:textSize="@dimen/text_14sp"
                                        android:hint="Competition New Launch Mrp"/>
                                </LinearLayout>

                                <com.google.android.material.floatingactionbutton.FloatingActionButton
                                    android:id="@+id/btn_add"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="bottom|right"
                                    android:src="@mipmap/add_text"
                                    android:backgroundTint="@color/green"
                                    android:layout_margin="@dimen/custom_layout_margin11"/>
                            </LinearLayout>
                        </LinearLayout>
                    </LinearLayout>
                </LinearLayout>
            </androidx.cardview.widget.CardView>
            <androidx.recyclerview.widget.RecyclerView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/recyclCompDetails"
                android:layout_gravity="center"
                android:visibility="gone"/>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</LinearLayout>



